From d8bbad7d21c79047f760a6c8b6ce1441077acfbf Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Sat, 30 Mar 2019 03:42:35 -0500
Subject: [PATCH v1 8/8] Clean up language in cf984672

---
 doc/src/sgml/func.sgml | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index df47ec2..32b23f3 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -6399,19 +6399,19 @@ SELECT regexp_match('abc01234xyz', '(?:(.*?)(\d+)(.*)){1,1}');
        exceeds the number of separators in the template.
       </para>
       <para>
-       If <literal>FX</literal> is specified, separator in template string
-       matches to exactly one character in input string.  Notice we don't insist
-       input string character to be the same as template string separator.
+       If <literal>FX</literal> is specified, a separator in the template string
+       matches exactly one character in the input string.  But note that the
+       character in the input string is not required to be the same character in the template string.
        For example, <literal>to_timestamp('2000/JUN', 'FXYYYY MON')</literal>
        works, but <literal>to_timestamp('2000/JUN', 'FXYYYY&nbsp;&nbsp;MON')</literal>
-       returns an error because a space second template string space consumed
-       letter <literal>J</literal> from the input string.
+       returns an error because a space in its template string consumes
+       the letter <literal>J</literal> from the input string.
       </para>
      </listitem>
 
      <listitem>
       <para>
-       <literal>TZH</literal> template pattern can match a signed number.
+       The <literal>TZH</literal> template pattern can match a signed number.
        Without the <literal>FX</literal> option, it may lead to ambiguity in
        interpretation of the minus sign, which can also be interpreted as a separator.
        This ambiguity is resolved as follows.  If the number of separators before
-- 
2.1.4

